<template>
  <div class="page-archives">
    <!-- {{ url }} -->
    <Webview :url="url" class="w-full h-full" />
  </div>
</template>

<script setup>
import { computed } from "vue";
import { getToken } from "@/utils/auth";
import Webview from "@/components/WebView.vue";
const { VITE_APP_ARCHIVES } = import.meta.env;
const url = computed(() => {
  return `${VITE_APP_ARCHIVES}?accessToken=${encodeURIComponent(
    getToken().token
  )}`;
});
</script>

<style lang="scss">
.el-scrollbar__view {
  height: 100%;
  .main-content.page-archives {
    height: 100%;
    margin: 0;
  }
}
</style>
